## collect_framework

This package generates reports on F1 race results based on input data files. The package provides two general functions build_report and print_report which can be used to generate and print reports based on user-defined parameters.

### Installation

pip install races_reports_generator

### Usage

#### Command-Line Interface

The package provides a command-line interface that allows you to generate reports using the `build_report` and `print_report` functions.

To generate a report for all drivers in a given folder, run:

python report.py --files <folder_path> [--asc | --desc]

The `--asc` and `--desc` flags can be used to sort the results in ascending or descending order.

To generate a report for a specific driver in a given folder, run:

python report.py --files <folder_path> --driver <driver_name>

### Functions

The package provides two general functions: `build_report` and `print_report`.

The `build_report` function generates a report on F1 race results based on input data files. It takes two parameters:

`folder_path`: the path to the folder containing the input data files.
`driver`: (optional) the name of the driver to generate a report for. If not provided, the function will generate a report for all drivers in the folder.
The function returns a dictionary containing the race results.

The `print_report` function takes a dictionary generated by `build_report` and prints a report to the console.

### Examples

```
from races_reports_generator import build_report, print_report

# generate a report for all drivers in a folder
report = build_report('data')
print_report(report)

# generate a report for a specific driver in a folder
report = build_report('data', driver='Sebastian Vettel')
print_report(report)
```

### Tests

To run the tests, you can use `pytest` library, after installing it

### License

This package is licensed under the MIT License. See the LICENSE file for details.